# $Revision: 1.9 $, $Date: 2006/07/27 15:24:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Hierarchy
Summary:	Data::Hierarchy - handle data in a hierarchical structure
Summary(pl):	Data::Hierarchy - obsuga danych w strukturze hierarchicznej
Name:		perl-Data-Hierarchy
Version:	0.30
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	58a7a1a8adaa108edd21e61d078665b9
URL:		http://search.cpan.org/dist/Data-Hierarchy/
BuildRequires:	perl-Clone
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Hierarchy provides a simple interface for manipulating
inheritable data attached to a hierarchical environment (like
filesystem).

%description -l pl
Modu Data::Hierarchy udostpnia prosty interfejs do manipulowania
dziedziczonymi danymi umieszczonymi w rodowisku hierarchicznym (takim
jak system plikw).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE*
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Hierarchy.spec,v $
Revision 1.9  2006/07/27 15:24:06  glen
- 0.30, generic URL

Revision 1.8  2004/11/11 22:20:33  paladine
- updated to 0.21

Revision 1.7  2004/11/03 22:30:17  paladine
- formatting

Revision 1.6  2004/11/01 22:13:20  adamg
- updated to 0.20

Revision 1.5  2004/05/29 09:13:28  ankry
- cosmetics

Revision 1.4  2004/05/29 07:53:52  adamg
- updated to 0.18

Revision 1.3  2004/05/21 17:47:26  qboosh
- removed bogus URL

Revision 1.2  2004/05/21 16:55:11  qboosh
- pl

Revision 1.1  2004/05/21 02:15:06  arekm
- initial pld release
